select2 missing from interface/NIC compute resource dropdown menus

03/15/2016 06:15 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Web Interface   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3374

  

Description

#12055 deliberately disabled select2 from interface compute resource dropdown menus as a fix for incorrect information being

displayed in the interfaces table.  This though is a regression of the original reason it was added in #10641 - to search through

compute resource networks.  At the moment, all dropdown menus for compute resource networks are ordinary non-searchable ones.

Filing this as it would be good to re-enable it for compute resource dropdowns while keeping the table working.

Related issues:

Related to Foreman - Bug #12055: Detail line in NICs table shows wrong inform... Closed 10/05/2015

Related to Foreman - Feature #10641: Ability to search VmWare networks Closed 05/28/2015

Blocked by Foreman - Bug #14200: External user groups auth source dropdown me... Closed 03/15/2016

Blocked by Foreman - Bug #14041: VM provisioning : dropdown lists greyed out ... Closed 03/03/2016

Associated revisions

Revision cbc6ac08 - 04/05/2016 09:27 AM - Dominic Cleal

fixes #14202 - enable select2 in interfaces modal

Reverts commit 44723b9 and re-enables select2 in the interfaces modal,

instead fixing the issue with the NIC table detail lines to read the

network information out of select2 dropdown menus correctly.

History

#1 - 03/15/2016 06:15 AM - Dominic Cleal

- Related to Bug #12055: Detail line in NICs table shows wrong information when a new NIC is added added

#2 - 03/15/2016 06:15 AM - Dominic Cleal

- Related to Feature #10641: Ability to search VmWare networks added

#3 - 03/15/2016 07:34 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 03/15/2016 08:04 AM - Dominic Cleal

- Blocked by Bug #14200: External user groups auth source dropdown menu doesn't open added

#5 - 03/15/2016 08:04 AM - Dominic Cleal

- Blocked by Bug #14041: VM provisioning : dropdown lists greyed out in new volume fields added

#6 - 03/30/2016 05:01 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3374 added
#7 - 04/05/2016 10:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cbc6ac080c856b1f90942533209810164081deb0.

#8 - 04/05/2016 10:51 AM - Dominic Cleal

- translation missing: en.field_release set to 136
